<template>
  <!-- Left sidebar -->
  <v-flex xs12 sm3>
    <v-navigation-drawer permanent>
      <v-toolbar flat>
        <v-list>
          <v-list-tile>
            <v-list-tile-title class="title">
              Панель управления
            </v-list-tile-title>
          </v-list-tile>
        </v-list>
      </v-toolbar>

      <v-divider></v-divider>

      <v-list dense class="pt-0">
        <v-list-tile
          v-for="item in menuItems"
          :key="item.title"
          @click="route(item.route)"
        >
          <v-list-tile-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-tile-action>

          <v-list-tile-content>
            <v-list-tile-title>{{ item.title }}</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
      </v-list>
    </v-navigation-drawer>
  </v-flex>
  <!-- / Left sidebar -->
</template>

<script>
  import Editor from "@servicestack/editor";
  import Menu from './Menu'

  export default {
    components: {
      Menu,
      Editor
    },
    data() {
      return {
        menuItems: [
          {title: 'Все заметки', icon: 'all_inbox', route: '/dashboard'},
          {title: 'Создать заметку', icon: 'create', route: '/new/post'},
          {title: 'Вернуться на сайт', icon: 'backspace', route: '/'},
          {title: 'Модерация записей', icon: 'chrome_reader_mode', route: '/moderate'}
        ]
      }
    },
    methods: {
      route(path) {
        this.$router.push(path)
      }
    }
  }
</script>
